- Qt 5.15
- Qt GUI
- C++ Classes
- QKeySequence
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QKeySequence

The following members of class QKeySequence are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QString | operator QString() const
`(obsolete)` int | operator int() const

## Member Function Documentation

### QString QKeySequence::operator QString() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use toString() instead.

Returns the key sequence as a QString. This is equivalent to calling toString(QKeySequence::NativeText). Note that the result is not platform independent.

### int QKeySequence::operator int() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

For backward compatibility: returns the first keycode as integer. If the key sequence is empty, 0 is returned.